<?php


/**
 * Class - Tester
 */
class wps_ic_tester extends wps_ic {


  public function __construct() {
    if (is_admin()) {
      if (!empty($_GET['test'])) {
        global $wpdb;

        echo 'PHP Version: ' . $this->get_php();
        echo "<br/>";
        echo 'WP Remote Get enabled: ' . $this->wpremote_get();
        echo "<br/>";
        echo 'WP Remote Post enabled: ' . $this->wpremote_get();
        echo "<br/>";
        echo "MySQL Backup table exists: " . $this->mysql_table('ic_backups');
        echo "<br/>";
        echo "MySQL Queue table exists: " . $this->mysql_table('ic_queue');
        echo "<br/>";
        echo "MySQL Compressed table exists: " . $this->mysql_table('ic_compressed');
        echo "<br/>";
        echo "Max execution time:" . ini_get('max_execution_time');
        echo "<br/>";
        echo "Memory limit: " . ini_get('memory_limit');

        die();
      }
    }
  }


  public function mysql_table($table) {
    global $wpdb;

    $query = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . $table . " LIMIT 1");

    if ($query || is_array($query)) {
      return 'Yes';
    } else {
      return 'No (' . $wpdb->prefix . $table . ')';
    }

  }



  public function get_php() {
    $version = phpversion();
    return $version;
  }


  public function wpremote_get() {
    $call = wp_remote_get('http://devapi.wpcompress.com');
    if (wp_remote_retrieve_response_code($call) == 200) {
      return 'OK';
    } else {
      return false;
    }
  }


  public function wpremote_post() {
    $call = wp_remote_post('http://devapi.wpcompress.com');
    if (wp_remote_retrieve_response_code($call) == 200) {
      return 'OK';
    } else {
      return false;
    }
  }



}