jQuery(document).ready(function($){

    $.post(ajaxurl, {action:'wps_ic_sample'}, function(response){

        swal({
            title: '',
            html: response.data.html,
            showCloseButton: true,
            showCancelButton: false,
            showConfirmButton: false,
            focusConfirm: false,
            allowOutsideClick:false,
            animation: false,
            customClass: 'animated zoomIn'
        });

    });

    /**
     * More dialog - Load Bulk Information
     */
    $('.wps-ic-dialog-more-bulk').live('click', function(e){
        e.preventDefault();

        var info = $(this).data('info');
        var container = $('#wps-ic-sample-data').parent();
        var parent = $('#wps-ic-sample-data');
        var loading = $('#wps-ic-sample-image-loading');

        $(parent).hide();
        $(loading).show();

        $.ajaxSetup({async: true, cache: false});
        $.post(ajaxurl, {action: 'wps_ic_dialog_bulk', info:info}, function (response) {
            $(loading).hide();
            //$(parent).show();
            $(container).html(response.data.html);
        });

        return false;
    })


    /**
     * Compress Image Button - Single!!
     */
    $('.wps-ic-compress-single-demo').live('click', function (e) {
        e.preventDefault();

        var container = $('#wps-ic-sample-data').parent();
        var parent = $('#wps-ic-sample-data');
        var loading = $('#wps-ic-sample-image-loading');
        var uncompressed = $('.wps-ic-uncompressed-data');

        $(parent).hide();
        $(uncompressed).hide();
        $(loading).show();

        $.ajaxSetup({async: true, cache: false});
        $.post(ajaxurl, {action: 'wps_ic_compress_single_demo'}, function (response) {
            if (response.success == true) {
                $(loading).hide();
                $(container).html(response.data.html);
                //$('.wps-ic-sample-compress').html(response.data.html);
            }
        });

        return false;

    });


    /**
     * Restore Image Button - Single!!
     */
    $('.wps-ic-restore-single-demo').live('click', function (e) {
        e.preventDefault();

        var container = $('#wps-ic-sample-data').parent();
        var parent = $('#wps-ic-sample-data');
        var loading = $('#wps-ic-sample-image-loading');

        $(parent).hide();
        $(loading).show();

        $.ajaxSetup({async: true, cache: false});
        $.post(ajaxurl, {action: 'wps_ic_restore_single_demo'}, function (response) {
            $(loading).hide();
            //$(parent).show();
            $(container).html(response.data.html);
        });

        return false;
    });



});