<?php


/**
 * Class - Remote Restore
 */
class wps_ic_remote_restore extends wps_ic {


  public function __construct() {
    $this->api_url = 'http://devapi.wpcompress.com/';

    $this->unlock();

    add_filter('wps_ic_remote_restore', array(__CLASS__, 'remote_restore_button'), 10, 2);
  }


  public static function remote_restore_button($id, $action = '') {
    $output = '';

    if (isset($_COOKIE['remote_restore']) && $_COOKIE['remote_restore'] == 'true') {
      $output .= '<button type="button" class="btn btn-success wps-ic-remote-restore" data-image_id="' . $id . '">Remote Restore</button>';
    }

    return $output;
  }


  public function unlock() {
    if (!empty($_GET['remote_restore'])) {
      setcookie('remote_restore', 'true', time()+60*60*3);
    }
  }


}